Page MenuHomePhabricator

Deploy localized wordmark of Wikipedia on mobile site of sdwiki
Open, LowPublic

Description

Hi, The current (header & footer) logo shown on Sindhi Wikipedia mobile site is the default English one. Please change the English logo and use following logo:

File: File:Wikipedia wordmark-sd.svg

Sindhi wiki community has decided to localize wordmark of Wikipedia on mobile site. Community consensus is here:
https://sd.wikipedia.org/wiki/وڪيپيڊيا:نياتي_باب#سنڌي_وڪي_موبائيل_ويبسائيٽ_۾_لوگو_جي_تبديلي

Reviewer checklist

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd localized Minerva wordmark for Sindhi Wikipedia

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2018, 4:05 AM
BukhariSaeed updated the task description. (Show Details)Aug 4 2018, 4:05 AM
BukhariSaeed updated the task description. (Show Details)Aug 4 2018, 4:08 AM
BukhariSaeed updated the task description. (Show Details)
BukhariSaeed updated the task description. (Show Details)Aug 4 2018, 4:15 AM

@mehtad.ahmed: Pinging a person without any question or content is not helpful.

@BukhariSaeed: Please do not subscribe people without their consent and please do not add tasks to a team's workboard without their agreement. It is up to teams to decide what they plan to work on. It has only been three days since you requested this?

If this request is somehow urgent, you or anyone else is free to provide a software patch for this change. See https://www.mediawiki.org/wiki/Gerrit/Tutorial

@Aklapper I am sorry if I disturbed you. However, there was no reply that's why I pinged you. We are not in hurry please take your time, I apologise for not being professional.

@mehtab.ahmed: It can happen that there is no reply for weeks. Someone might pick up this task when they have time. That can be you or anyone else.

Framawiki added a subscriber: Framawiki.

No problem doing this but someone will need to take care of the config change and swat deploy.

@mehtab.ahmed: If you already have a localized wordmark in SVG file format, please share a direct link to the file or upload the file here. When an SVG file exists, then you or anyone could write a configuration change by following the Gerrit how-to. Past examples for such configuration changes are here, here and here.

Jdlrobson updated the task description. (Show Details)Dec 11 2018, 6:21 PM
Urbanecm changed the task status from Open to Stalled.Dec 14 2018, 6:00 PM
Urbanecm added a subscriber: BukhariSaeed.

As instructed by @Aklapper above, please DO NOT subscribe people with no good reason, or ping them with no question.

This can be done once somebody creates a SVG file with proper localization. Link here to the SVG when it is uploaded. To mark this is blocked on a SVG, marking as stalled.

Urbanecm triaged this task as Low priority.Dec 14 2018, 6:00 PM

@mehtab.ahmed: If you already have a localized wordmark in SVG file format, please share a direct link to the file or upload the file here. When an SVG file exists, then you or anyone could write a configuration change by following the Gerrit how-to. Past examples for such configuration changes are here, here and here.

@Aklapper: Sorry there is no SVG file already existing for wordmark.

Ammarpad claimed this task.Jan 22 2019, 6:57 AM

@mehtab.ahmed See SVG Help on Commons if you would like to create it. You can also request someone do it at Commons:Graphic Lab/Illustration workshop

@Ammarpad: This issue has been assigned to you two months ago. Could you please share a status update? Are you still working (or still plan to work) on this issue? Is there anything that others could help with? If you do not plan to work on this issue anymore, please remove yourself as assignee (via Add Action...Assign / Claim in the dropdown menu) so others could work on it. Thanks a lot!

Aklapper removed Ammarpad as the assignee of this task.Apr 6 2019, 8:17 PM

@Ammarpad: I am resetting the assignee of this task because there has not been progress lately (please correct me if I am wrong!).
Resetting the assignee avoids the impression that somebody is already working on this task. It also allows others to potentially work towards fixing this task.
Please claim this task again when you plan to work on it (via Add Action...Assign / Claim in the dropdown menu) - it would be welcome! Thanks for your understanding!

Ammarpad updated the task description. (Show Details)Oct 14 2019, 7:21 AM
Ammarpad claimed this task.Oct 14 2019, 7:25 AM

Thanks @Aklapper, I am not receiving any notification for all these your comments... not sure why.
But still @alexhollender has to take a look whether the image is OK as it's (he's already subscribed here)

Ammarpad changed the task status from Stalled to Open.Oct 14 2019, 7:25 AM
Masumrezarock100 added a comment.EditedOct 14 2019, 5:36 PM

Let @alexhollender take a look at the SVG, and then we can start working on the patch. I'll start working on the SVG in 2 hours or so.

It appears that all Wikimedia mobile color have #54595D instead of pure black color. So I've be changed it's color and minified the code. Though other design review is needed.

Updated SVG
width = 77px
height = 22px

@alexhollender Thanks. I've cleaned up some of it's code and minified it. Now on Commons at https://commons.wikimedia.org/wiki/File:Wikipedia_wordmark-sd.svg

Masumrezarock100 added a comment.EditedOct 21 2019, 8:57 PM

@alexhollender This new SVG seems a bit different. Zoom at the bottom of the "U" like character. Are sure the font should have an edge like this?

@Masumrezarock100 apologies here as well. I believe this is fixed now:

Masumrezarock100 added a comment.EditedTue, Oct 29, 11:39 AM

Looks good to me.

  • Ensure the SVG has been minified with something like svgmin

Done. The minifed SVG is here.
@Ammarpad I think it's ready for a patch.

Done. The minifed SVG is here.
@Ammarpad I think it's ready for a patch.

Thanks. Submitted.

Change 547061 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Add localized Minerva wordmark for Sindhi Wikipedia

https://gerrit.wikimedia.org/r/547061

Change 547061 merged by jenkins-bot:
[operations/mediawiki-config@master] Add localized Minerva wordmark for Sindhi Wikipedia

https://gerrit.wikimedia.org/r/547061

Mentioned in SAL (#wikimedia-operations) [2019-11-04T12:11:20Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 7c1c64c: Add localized Minerva wordmark for Sindhi Wikipedia (T200870; 1/2) (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T12:14:39Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 7c1c64c: Add localized Minerva wordmark for Sindhi Wikipedia (T200870; 2/2) (duration: 00m 52s)

Ammarpad closed this task as Resolved.Mon, Nov 4, 11:38 PM
Ammarpad reopened this task as Open.

@Ammarpad Just wondering why you reopened this task.

I think the designer @alexhollender has to confirm whether the work done is OK. It can be closed too, if there's no comment from him after some days.

Sounds fair to me.